/*******************************************************************************
 * ParticleModuleSpawn generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ParticleModuleSpawn extends ParticleModuleSpawnBase
    native(Particle)
    editinlinenew
    hidecategories(Object,Object,Object,ParticleModuleSpawnBase);

var(Spawn) RawDistributionFloat Rate;
var(Spawn) RawDistributionFloat RateScale;
var(Burst) ParticleEmitter.EParticleBurstMethod ParticleBurstMethod;
var(Burst) noclear export array<export ParticleBurst> BurstList;

defaultproperties
{
    Rate=Distribution=DistributionFloatConstant'Default__ParticleModuleSpawn.RequiredDistributionSpawnRate',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing Rate
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    RateScale=Distribution=DistributionFloatConstant'Default__ParticleModuleSpawn.RequiredDistributionSpawnRateScale',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing RateScale
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    LODDuplicate=false
}